package klaverjassen;

public class Kaart {
    /*
     * 0=7,1=8,2=9,3=10,4=B,5=V,6=H,7=A
     */

    private int positie;
    /*
     * 0=Klaver, 1=Schoppen, 2=Ruiten, 3=Harten
     */
    private int kleur;

    public Kaart(int waarde, int kleur) {
        this.positie = waarde;
        this.kleur = kleur;
    }

    public Kaart() {
        this.positie = -1;
        this.kleur = -1;
    }

    public int getPositie() {
        return this.positie;
    }

    public int getKleur() {
        return this.kleur;
    }

    public String toString() {
        if (this.positie == 0 || this.positie == 1 || this.positie == 2 || this.positie == 3) {
            return kleur + ", " + (positie + 7);
        }
        if(this.positie == 4){
            return kleur + ", " +"b";
        }
        if(this.positie == 5){
            return kleur + ", " +"v";
        }
        if(this.positie == 6){
            return kleur + ", " +"h";
        }
        if(this.positie == 7){
            return kleur + ", " +"a";
        }
        return "nothing to return";
    }

    public boolean vergelijkWaarde(int kaart) {
        //Vergelijkt de waarde van deze kaart met de waarde van een andere
        if (this.positie == kaart) {
            return true;
        }
        return false;
    }

    public void setKleur(int i) {
        this.kleur = i;
    }

    public void setPositie(int i) {
        this.positie = i;
    }

    public int getPuntWaarde(int troef) {
        int puntWaarde = 0;
        if (this.kleur != troef) {
            if (this.positie == 7) {
                puntWaarde = 11;
            }
            if (this.positie == 6) {
                puntWaarde = 4;
            }
            if (this.positie == 5) {
                puntWaarde = 3;
            }
            if (this.positie == 4) {
                puntWaarde = 2;
            }
            if (this.positie == 3) {
                puntWaarde = 10;
            }
        } else {
            if (this.positie == 4) {
                puntWaarde = 20;
            }
            if (this.positie == 2) {
                puntWaarde = 14;
            }
            if (this.positie == 7) {
                puntWaarde = 11;
            }
            if (this.positie == 6) {
                puntWaarde = 4;
            }
            if (this.positie == 5) {
                puntWaarde = 3;
            }
            if (this.positie == 3) {
                puntWaarde = 10;
            }
        }
        return puntWaarde;
    }
}
